Bug 1265772 - (TEIID-3564) float field gets converted to scientific notation when query is submitted to source
float field gets converted to scientific notation when query is submitted to ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: jolee
Filip Elias
: QA-Closed
Depends On:
Blocks: 1242071
  Show dependency treegraph
 
Reported: 2015-09-23 13:40 EDT by dsteigne
Modified: 2016-02-10 03:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:52:13 EST
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3564 Major Closed float field gets converted to scientific notation when query is submitted to source 2017-06-25 11:05 EDT

  None (edit)
Description dsteigne 2015-09-23 13:40:48 EDT
Description of problem:
See https://issues.jboss.org/browse/TEIID-3564



When submitting the following query:

SELECT COUNT FROM salesforce_sales.salesforce.Opportunity where amount > 100000000;

to a salesforce instance with the shown filter it returns the following error:

org.teiid.runtime.client.TeiidClientException: java.lang.RuntimeException: Remote org.teiid.core.TeiidProcessingException: TEIID30504 SalesForce_Sales: com.sforce.soap.partner.MalformedQueryFault: MALFORMED_QUERY:
Opportunity WHERE Opportunity.Amount > 1.0E8
^
ERROR at Row:1:Column:64
unexpected token: 'E8'
Elapsed Time: 0 hr, 0 min, 1 sec, 109 ms.

why is the quantity modified when the field is declared as float?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 jolee 2015-09-29 16:42:47 EDT
git@github.com:jboss-integration/teiid.git : 8.7.x-prod-ipv6.2 : 246d68f

git@github.com:teiid/teiid.git : 62-8.7.x : 246d68f
Comment 3 JBoss JIRA Server 2015-10-13 08:06:05 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3564 to Closed
Comment 4 JBoss JIRA Server 2015-11-06 09:13:06 EST
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3564 to Reopened
Comment 5 JBoss JIRA Server 2015-11-06 09:13:22 EST
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3564 to Closed

Note You need to log in before you can comment on or make changes to this bug.